/*
 *     NullCommand.java  Aug 13, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor;
import org.jtool.jrbx.refactor.util.CodeSelection;
import org.jtool.jrbx.gui.Refactor;
import org.w3c.dom.*;
import java.util.*;

public class NullCommand implements RefactoringCommand {

    public NullCommand() {
    }

    public void setSource(Document doc, CodeSelection selection) {
    }

    public void setRefactor(Refactor refactor) {
    }

    public ArrayList getChangedXMLTexts() {
        return new ArrayList();
    }

    public String getRefactoringLog() {
        return null;
    }

    public void execute() {
        System.err.println("Unsupported command.");
    }
}
